/*
 *  GBMarkableItemProtocol.h
 *  GBBasicsKit
 *
 *  Created by Andreas Schwarz on 5/25/09.
 *  Copyright 2009 Immaterial Goods. All rights reserved.
 *
 */

@protocol GBMarkableItemProtocol <NSObject>

- (void)setMarked:(BOOL)tagged forMark:(NSString *)mark;
- (void)toggleMark:(NSString *)mark;
- (BOOL)isMarkedWithMark:(NSString *)mark;
- (NSArray *)marks;
- (BOOL)hasMarks;

@end