/*
 *  GBTypes.h
 *  GBBasicsKit
 *
 *  Created by Andreas Schwarz on 3/3/08.
 *  Copyright 2008 __MyCompanyName__. All rights reserved.
 *
 */


/* Various useful types */



typedef enum {
    GBOpenAtPercentage,
    GBOpenToFit,
    GBOpenToFitIfLarger
} GBOpenOptions;

typedef enum {
    GBOpenInCreator,
    GBOpenInDefaultApp,
    GBOpenInOther
} GBOpenImageInOptions;

typedef enum {
    GBTopLeft,
    GBTopCenter,
    GBTopRight,
    GBBottomLeft,
    GBBottomCenter,
    GBBottomRight
} GBPositions;

typedef enum {
    GB200Percent = 200,
    GB175Percent = 175,
    GB150Percent = 150,
    GB125Percent = 125,
    GB100Percent = 100,
    GB75Percent = 75,
    GB50Percent = 50,
    GB25Percent = 25
} GBOpenSizeOptions;

typedef enum {
    GBPreviewCellBGColorWell,
    GBPreviewCellTextColorWell,
    GBPreviewPaneBGColorWell,
    GBFileListBGColorWell
} GBColorWells;

typedef enum {
    GBSortByName,
    GBSortByFileSize,
    GBSortByImageDataSize,
    GBSortByKind,
    GBSortByMegapixels,
    GBSortByColorModel,
    GBSortByModDate,
    GBSortRandomly,
	GBSortByICC,
	GBSortByCreationDate
} GBSortTypes;


typedef enum {
    GBMainScreen,
    GBDeepestScreen,
    GBAlternateScreen,
    GBNonDocScreen
} GBScreenOptions;

typedef enum {
    GBButtonBorder,
    GBDarkBezelBorder,
    GBGrayBezelBorder,
    GBLightBezelBorder,
    GBWhiteBezelBorder,
    GBGrooveBorder,
    GBNoBorder
} GBPreviewCellBorderTypes;

typedef enum {
    GBNoFilter = 0,
    GBAllFilesFilter = 1,
    GBAllVisibleFilesFilter = 4,
    GBNoFoldersFilter = 8,
    GBOnlyFoldersFilter = 12,
    GBOnlyImagesFilter = 16,
    GBAllSupportedTypesFilter = 20
} GBFileFilterTypes;


